Debian Bug report logs - #589690
[drm/i915] oops in i915_irq_emit on 965GM with UMS

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: martin <martin@luminoussheep.net>

Date: Tue, 20 Jul 2010 00:39:01 UTC

Severity: normal

Tags: fixed-upstream, upstream

Found in version 2.6.35~rc5-1~experimental.1

Fixed in version linux-2.6/2.6.38-1

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=29153

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#589690; Package linux-2.6. (Tue, 20 Jul 2010 00:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin <martin@luminoussheep.net>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 20 Jul 2010 00:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: martin <martin@luminoussheep.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.35-rc5-amd64: The Kernel panics on starting X using latest xorg-intel driver
Date: Tue, 20 Jul 2010 01:35:58 +0100
[Message part 1 (text/plain, inline)]
Package: linux-2.6
Version: 2.6.35~rc5-1~experimental.1
Severity: normal
Tags: experimental

The Kernel panics on starting X I'm unable to switch back to text terminal,
sysreq sync still works.   I'm using the _latest_ intel driver:  context:
http://ikibiki.org/blog/2010/07/04/We_need_you_redux/  > Cyril Brulebois
<kibi@debian.org> (12/07/2010): >> It would be nice to know how it goes with
the packages I built (for >> i386 + amd64) and uploaded there: >>
http://people.debian.org/~kibi/packages/xserver-xorg-video-intel/ > > I've put
a new version there: 2.12.0-1+ickle2  Hardware: 965GM on a Sony SZ680  see
upstream bug https://bugs.freedesktop.org/show_bug.cgi?id=29153  Attached is
the kernel log with panic


-- Package-specific info:
** Kernel log: boot messages should be attached

** Model information
sys_vendor: Sony Corporation
product_name: VGN-SZ680N
product_version: R5328158
chassis_vendor: Sony Corporation
chassis_version: N/A                  
bios_vendor: Phoenix Technologies LTD
bios_version: R0122S5
board_vendor: Sony Corporation
board_name: VAIO                            
board_version: N/A                             

** Network interface configuration:

auto lo
iface lo inet loopback

allow-hotplug eth0
iface eth0 inet dhcp

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev 0c)
	Subsystem: Sony Corporation Device [104d:9008]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 0c) (prog-if 00 [VGA controller])
	Subsystem: Sony Corporation Device [104d:9008]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 30
	Region 0: Memory at fc000000 (64-bit, non-prefetchable) [size=1M]
	Region 2: Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at 1800 [size=8]
	Expansion ROM at <unassigned> [disabled]
	Capabilities: <access denied>

00:02.1 Display controller [0380]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a03] (rev 0c)
	Subsystem: Sony Corporation Device [104d:9008]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at fc100000 (64-bit, non-prefetchable) [size=1M]
	Capabilities: <access denied>

00:1a.0 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 [8086:2834] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Sony Corporation Device [104d:9008]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 20
	Region 4: I/O ports at 1820 [size=32]
	Kernel driver in use: uhci_hcd

00:1a.1 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 [8086:2835] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Sony Corporation Device [104d:9008]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 20
	Region 4: I/O ports at 1840 [size=32]
	Kernel driver in use: uhci_hcd

00:1a.7 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 [8086:283a] (rev 03) (prog-if 20 [EHCI])
	Subsystem: Sony Corporation Device [104d:9008]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 20
	Region 0: Memory at fc504800 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1b.0 Audio device [0403]: Intel Corporation 82801H (ICH8 Family) HD Audio Controller [8086:284b] (rev 03)
	Subsystem: Sony Corporation Device [104d:9008]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 28
	Region 0: Memory at fc500000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:1c.0 PCI bridge [0604]: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 [8086:283f] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=05, sec-latency=0
	I/O behind bridge: 00002000-00002fff
	Memory behind bridge: f6000000-f7ffffff
	Prefetchable memory behind bridge: 00000000f0000000-00000000f1ffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.1 PCI bridge [0604]: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 [8086:2841] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=06, subordinate=06, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: f8000000-f9ffffff
	Prefetchable memory behind bridge: 00000000f2000000-00000000f3ffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.2 PCI bridge [0604]: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 [8086:2843] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=07, subordinate=07, sec-latency=0
	I/O behind bridge: 00004000-00004fff
	Memory behind bridge: fa000000-fbffffff
	Prefetchable memory behind bridge: 00000000f4000000-00000000f5ffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.3 PCI bridge [0604]: Intel Corporation 82801H (ICH8 Family) PCI Express Port 4 [8086:2845] (rev 03) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=08, subordinate=08, sec-latency=0
	I/O behind bridge: 00005000-00005fff
	Memory behind bridge: c8000000-c9ffffff
	Prefetchable memory behind bridge: 00000000cc000000-00000000cdffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 [8086:2830] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Sony Corporation Device [104d:9008]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 4: I/O ports at 1860 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 [8086:2831] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Sony Corporation Device [104d:9008]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 23
	Region 4: I/O ports at 1880 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 [8086:2832] (rev 03) (prog-if 00 [UHCI])
	Subsystem: Sony Corporation Device [104d:9008]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 23
	Region 4: I/O ports at 18a0 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 [8086:2836] (rev 03) (prog-if 20 [EHCI])
	Subsystem: Sony Corporation Device [104d:9008]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 23
	Region 0: Memory at fc504c00 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev f3) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=09, subordinate=0d, sec-latency=32
	I/O behind bridge: 00006000-00006fff
	Memory behind bridge: fc200000-fc2fffff
	Prefetchable memory behind bridge: 00000000c0000000-00000000c3ffffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller [8086:2815] (rev 03)
	Subsystem: Sony Corporation Device [104d:9008]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.1 IDE interface [0101]: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller [8086:2850] (rev 03) (prog-if 8a [Master SecP PriP])
	Subsystem: Sony Corporation Device [104d:9008]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 22
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at 1810 [size=16]
	Kernel driver in use: ata_piix

00:1f.2 SATA controller [0106]: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller [8086:2829] (rev 03) (prog-if 01 [AHCI 1.0])
	Subsystem: Sony Corporation Device [104d:9008]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 29
	Region 0: I/O ports at 1c00 [size=8]
	Region 1: I/O ports at 18d4 [size=4]
	Region 2: I/O ports at 18d8 [size=8]
	Region 3: I/O ports at 18d0 [size=4]
	Region 4: I/O ports at 18e0 [size=32]
	Region 5: Memory at fc504000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:1f.3 SMBus [0c05]: Intel Corporation 82801H (ICH8 Family) SMBus Controller [8086:283e] (rev 03)
	Subsystem: Sony Corporation Device [104d:9008]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin C routed to IRQ 22
	Region 0: Memory at c4000000 (32-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at 1c20 [size=32]

06:00.0 Network controller [0280]: Intel Corporation PRO/Wireless 4965 AG or AGN [Kedron] Network Connection [8086:4229] (rev 61)
	Subsystem: Intel Corporation Device [8086:1100]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 31
	Region 0: Memory at f8000000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: iwlagn

07:00.0 Ethernet controller [0200]: Marvell Technology Group Ltd. 88E8055 PCI-E Gigabit Ethernet Controller [11ab:4363] (rev 12)
	Subsystem: Sony Corporation Device [104d:9008]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 32
	Region 0: Memory at fa000000 (64-bit, non-prefetchable) [size=16K]
	Region 2: I/O ports at 4000 [size=256]
	[virtual] Expansion ROM at f4000000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: sky2

09:04.0 CardBus bridge [0607]: Texas Instruments PCIxx12 Cardbus Controller [104c:8039]
	Subsystem: Sony Corporation Device [104d:9008]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 168, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 20
	Region 0: Memory at fc204000 (32-bit, non-prefetchable) [size=4K]
	Bus: primary=09, secondary=0a, subordinate=0d, sec-latency=176
	Memory window 0: c0000000-c3fff000 (prefetchable)
	Memory window 1: c4400000-c47ff000
	I/O window 0: 00006000-000060ff
	I/O window 1: 00006400-000064ff
	BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset+ 16bInt+ PostWrite+
	16-bit legacy interface ports at 0001
	Kernel driver in use: yenta_cardbus

09:04.1 FireWire (IEEE 1394) [0c00]: Texas Instruments PCIxx12 OHCI Compliant IEEE 1394 Host Controller [104c:803a] (prog-if 10 [OHCI])
	Subsystem: Sony Corporation Device [104d:9008]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (750ns min, 1000ns max), Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 21
	Region 0: Memory at fc206000 (32-bit, non-prefetchable) [size=2K]
	Region 1: Memory at fc200000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci

09:04.2 Mass storage controller [0180]: Texas Instruments 5-in-1 Multimedia Card Reader (SD/MMC/MS/MS PRO/xD) [104c:803b]
	Subsystem: Sony Corporation Device [104d:9008]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 57 (1750ns min, 1000ns max), Cache Line Size: 64 bytes
	Interrupt: pin C routed to IRQ 22
	Region 0: Memory at fc205000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: tifm_7xx1


** USB devices:
Bus 007 Device 002: ID 044e:300d Alps Electric Co., Ltd Bluetooth Controller (ALPS/UGPZ6)
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 147e:2016 Upek Biometric Touchchip/Touchstrip Fingerprint Sensor
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 003: ID 05ca:183a Ricoh Co., Ltd Visual Communication Camera VGP-VCC7 [R5U870]
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.34-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-2.6.35-rc5-amd64 depends on:
ii  debconf [deb 1.5.30                      Debian configuration management sy
ii  initramfs-to 0.93.4                      tools for generating an initramfs
ii  linux-base   2.6.35~rc5-1~experimental.1 Linux image base package
ii  module-init- 3.12~pre2-1                 tools for managing Linux kernel mo

Versions of packages linux-image-2.6.35-rc5-amd64 recommends:
ii  firmware-lin 2.6.35~rc5-1~experimental.1 Binary firmware for various driver

Versions of packages linux-image-2.6.35-rc5-amd64 suggests:
ii  grub                          0.97-59    GRand Unified Bootloader (dummy pa
pn  linux-doc-2.6.35              <none>     (no description available)

Versions of packages linux-image-2.6.35-rc5-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
ii  firmware-iwlwifi              0.26       Binary firmware for Intel Wireless
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.35-rc5-amd64/postinst/depmod-error-initrd-2.6.35-rc5-amd64: false
* linux-image-2.6.35-rc5-amd64/postinst/missing-firmware-2.6.35-rc5-amd64:
  linux-image-2.6.35-rc5-amd64/postinst/bootloader-error-2.6.35-rc5-amd64:
  linux-image-2.6.35-rc5-amd64/postinst/bootloader-test-error-2.6.35-rc5-amd64:
  linux-image-2.6.35-rc5-amd64/prerm/removing-running-kernel-2.6.35-rc5-amd64: true
  linux-image-2.6.35-rc5-amd64/prerm/would-invalidate-boot-loader-2.6.35-rc5-amd64: true
[2.6.35-rc5 (text/plain, attachment)]

Removed tag(s) experimental. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 20 Jul 2010 10:15:02 GMT) Full text and rfc822 format available.

Changed Bug title to '[drm/i915] oops in i915_irq_emit on 965GM with UMS' from 'linux-image-2.6.35-rc5-amd64: The Kernel panics on starting X using latest xorg-intel driver' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 20 Jul 2010 10:15:03 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 20 Jul 2010 10:15:04 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=29153'. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 20 Jul 2010 10:15:05 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 26 Jul 2010 16:37:09 GMT) Full text and rfc822 format available.

Removed tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 29 Jul 2010 16:36:10 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 27 Jan 2011 17:48:18 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#589690; Package linux-2.6. (Mon, 13 Jun 2011 02:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 13 Jun 2011 02:39:03 GMT) Full text and rfc822 format available.

Message #24 received at 589690@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: martin <martin@luminoussheep.net>
Cc: Kurt Roeckx <kurt@roeckx.be>, 589690@bugs.debian.org
Subject: Re: linux-image-2.6.35-rc5-amd64: The Kernel panics on starting X using latest xorg-intel driver
Date: Sun, 12 Jun 2011 21:34:25 -0500
Hi,

martin wrote:

> The Kernel panics on starting X
[...]
> I'm using the _latest_ intel driver:
> context: http://ikibiki.org/blog/2010/07/04/We_need_you_redux/
[...]
> 2.12.0-1+ickle2
> Hardware: 965GM on a Sony SZ680
[...]
> [   23.000937] BUG: unable to handle kernel NULL pointer dereference at (null)
> [   23.000947] IP: [<(null)>] (null)
> [   23.000954] PGD 13de10067 PUD 13be07067 PMD 0 
> [   23.000965] Oops: 0010 [#1] SMP 
> [   23.000972] last sysfs file: /sys/devices/virtual/backlight/acpi_video0/brightness
[...]
> [   23.001009] Call Trace:
> [   23.001009]  [<ffffffffa017c6b6>] ? i915_irq_emit+0x18a/0x1e5 [i915]
> [   23.001009]  [<ffffffff81300e45>] ? _lock_kernel+0x58/0x8f
> [   23.001009]  [<ffffffffa02723ab>] ? drm_ioctl+0x258/0x32d [drm]
> [   23.001009]  [<ffffffff81052de6>] ? signal_wake_up+0x20/0x2f
> [   23.001009]  [<ffffffff81053185>] ? __send_signal+0x260/0x284
> [   23.001009]  [<ffffffff810f3dc6>] ? vfs_ioctl+0x23/0x93
> [   23.001009]  [<ffffffff810f4657>] ? do_vfs_ioctl+0x45d/0x497
> [   23.001009]  [<ffffffff81303e2d>] ? do_page_fault+0x28c/0x2ce
> [   23.001009]  [<ffffffff810f46dc>] ? sys_ioctl+0x4b/0x6f
> [   23.001009]  [<ffffffff810089c2>] ? system_call_fastpath+0x16/0x1b

Chris Wilson says it was fixed by two commits included in 2.6.38-rc5
(see the upstream report).  Can you confirm that, for example by
testing with a kernel from testing or sid?

Thanks for reporting it.
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#589690; Package linux-2.6. (Mon, 13 Jun 2011 06:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 13 Jun 2011 06:54:06 GMT) Full text and rfc822 format available.

Message #29 received at 589690@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: martin <martin@luminoussheep.net>
Cc: 589690@bugs.debian.org, Kurt Roeckx <kurt@roeckx.be>
Subject: Re: linux-image-2.6.35-rc5-amd64: The Kernel panics on starting X using latest xorg-intel driver
Date: Mon, 13 Jun 2011 01:51:05 -0500
Hi Martin,

martin wrote:

> This is actually working with the current stable kernel, sorry I
> thought I'd closed all my Xorg bugs.

Thanks for a followup.  To clarify, do you mean that you are using
2.6.32-34squeeze1 now?  That wouldn't rule out the bug having been
introduced and fixed in later versions.

> Most of them were due to memory
> issues that didn't show up with the x86memtester+ and for some
> reason didn't show up with lenny. Still changing out the memory
> fixed all my remaining issues, I can't be sure if this one was a
> memory of bug, either way it's now closed.

Weird.  Kurt commented on the upstream report; maybe he can make
better sense of this.  It hadn't sounded machine-specific to me.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#589690; Package linux-2.6. (Mon, 13 Jun 2011 08:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to martin <martin@luminoussheep.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 13 Jun 2011 08:27:04 GMT) Full text and rfc822 format available.

Message #34 received at 589690@bugs.debian.org (full text, mbox):

From: martin <martin@luminoussheep.net>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 589690@bugs.debian.org, Kurt Roeckx <kurt@roeckx.be>
Subject: Re: linux-image-2.6.35-rc5-amd64: The Kernel panics on starting X using latest xorg-intel driver
Date: Mon, 13 Jun 2011 09:25:26 +0100
On 13/06/11 07:51, Jonathan Nieder wrote:
> Hi Martin,
>
> martin wrote:
>
>    
>> This is actually working with the current stable kernel, sorry I
>> thought I'd closed all my Xorg bugs.
>>      
> Thanks for a followup.  To clarify, do you mean that you are using
> 2.6.32-34squeeze1 now?  That wouldn't rule out the bug having been
> introduced and fixed in later versions.
>    
Yes, I'm using squeeze standard now.
>> Most of them were due to memory
>> issues that didn't show up with the x86memtester+ and for some
>> reason didn't show up with lenny. Still changing out the memory
>> fixed all my remaining issues, I can't be sure if this one was a
>> memory of bug, either way it's now closed.
>>      
> Weird.  Kurt commented on the upstream report; maybe he can make
> better sense of this.  It hadn't sounded machine-specific to me.
>    

It may not have been machine specific and as I remember all the kernel 
xorg intel bugs were fixed for me some time ago, then I started getting 
vfs kernel issues which lead to me changing out the memory.
I suggest you just close it, if your desperate for a tester it will take 
me a few days (before I get chance) to get testing running again on the 
spare partition but I can do it.

Regards,
M




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#589690; Package linux-2.6. (Mon, 13 Jun 2011 09:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 13 Jun 2011 09:09:06 GMT) Full text and rfc822 format available.

Message #39 received at 589690@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: martin <martin@luminoussheep.net>
Cc: 589690@bugs.debian.org, Kurt Roeckx <kurt@roeckx.be>
Subject: Re: linux-image-2.6.35-rc5-amd64: The Kernel panics on starting X using latest xorg-intel driver
Date: Mon, 13 Jun 2011 04:04:11 -0500
tags 589690 + moreinfo
quit

martin wrote:

> It may not have been machine specific and as I remember all the
> kernel xorg intel bugs were fixed for me some time ago, then I
> started getting vfs kernel issues which lead to me changing out the
> memory.

That sounds promising.

> I suggest you just close it, if your desperate for a tester it will
> take me a few days (before I get chance) to get testing running
> again on the spare partition but I can do it.

Yes, it would be nice to confirm the fix but we can certainly wait
a few days. :)  It should not be necessary to install testing; just
the kernel will do.

In fact trying with a squeeze userland would be better, for two
reasons:

 (1) the bug is apparently not triggered by newer versions of
     xserver-xorg-video-intel --- strictly speaking, checking for the
     same bug would require installing the package from [1], but

 (2) learning what happens with the standard X driver in squeeze
     would be best because relevant for ensuring a smooth squeeze →
     wheezy upgrade path.

Thanks.

[1] http://people.debian.org/~kibi/packages/xserver-xorg-video-intel/




Added tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 13 Jun 2011 09:09:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#589690; Package linux-2.6. (Mon, 13 Jun 2011 09:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kurt Roeckx <kurt@roeckx.be>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 13 Jun 2011 09:27:11 GMT) Full text and rfc822 format available.

Message #46 received at 589690@bugs.debian.org (full text, mbox):

From: Kurt Roeckx <kurt@roeckx.be>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: martin <martin@luminoussheep.net>, 589690@bugs.debian.org
Subject: Re: linux-image-2.6.35-rc5-amd64: The Kernel panics on starting X using latest xorg-intel driver
Date: Mon, 13 Jun 2011 11:24:43 +0200
On Mon, Jun 13, 2011 at 01:51:05AM -0500, Jonathan Nieder wrote:
> > Most of them were due to memory
> > issues that didn't show up with the x86memtester+ and for some
> > reason didn't show up with lenny. Still changing out the memory
> > fixed all my remaining issues, I can't be sure if this one was a
> > memory of bug, either way it's now closed.
> 
> Weird.  Kurt commented on the upstream report; maybe he can make
> better sense of this.  It hadn't sounded machine-specific to me.

My machine has an i830 in it.  I have tried way too many different
kernels to still make any sense of this bug.  But it's clear to me
that 2.6.38 is one of the first kernels that works reasonable for me.

But I'm using KMS right now, since UMS has always been a problem
since that 2.12 version and I don't think the current xorg intel
driver still supports it.


Kurt





Removed tag(s) moreinfo. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 13 Jun 2011 09:57:28 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Mon, 13 Jun 2011 09:57:35 GMT) Full text and rfc822 format available.

Notification sent to martin <martin@luminoussheep.net>:
Bug acknowledged by developer. (Mon, 13 Jun 2011 09:57:37 GMT) Full text and rfc822 format available.

Message #53 received at 589690-done@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Kurt Roeckx <kurt@roeckx.be>
Cc: martin <martin@luminoussheep.net>, 589690-done@bugs.debian.org
Subject: Re: linux-image-2.6.35-rc5-amd64: The Kernel panics on starting X using latest xorg-intel driver
Date: Mon, 13 Jun 2011 04:52:56 -0500
tags 589690 - moreinfo
quit
Version: 2.6.38-1

Kurt Roeckx wrote:
[out of order for convenience]

> But I'm using KMS right now, since UMS has always been a problem
> since that 2.12 version and I don't think the current xorg intel
> driver still supports it.

Yes, I can believe that.  I suspect a typical upgrade path will
involve upgrading the kernel first; I wouldn't be surprised if there
are some bumps when the time comes.

You bisected this bug upstream to v2.6.35-rc2~56^2~37 (drm/i915:
introduce intel_ring_buffer structure (V2), 2010-05-21).  As long as
that doesn't get backported to squeeze, the squeeze→wheezy path should
be safe from it, at least.

> My machine has an i830 in it.  I have tried way too many different
> kernels to still make any sense of this bug.  But it's clear to me
> that 2.6.38 is one of the first kernels that works reasonable for me.

Thanks for confirming.

Regards,
Jonathan




Bug Marked as fixed in versions linux-2.6/2.6.38-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 13 Jun 2011 10:15:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Sep 2011 07:41:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:45:35 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.